# Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget Class Reference

Widget for controlling direction. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget:

[legend]

List of all members.

## Public Member Functions
void | OnResetDevice (SurfaceDescription desc)
| Called when the device has been reset.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
unsafe void | OnRender (ColorValue color, Matrix view, Matrix proj, Vector3 eye)
| Render the light widget.
void | OnResetDevice (SurfaceDescription desc)
| Called when the device has been reset.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
unsafe void | OnRender (ColorValue color, Matrix view, Matrix proj, Vector3 eye)
| Render the light widget.
void | OnResetDevice (SurfaceDescription desc)
| Called when the device has been reset.
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Handle messages from the window.
unsafe void | OnRender (ColorValue color, Matrix view, Matrix proj, Vector3 eye)
| Render the light widget.
## Static Public Member Functions
static void | OnCreateDevice (Device device)
| Called when the device has been created.
static void | OnLostDevice ()
| Called when the device has been lost.
static void | OnDestroyDevice ()
| Called when the device has been destroyed.
static void | OnCreateDevice (Device device)
| Called when the device has been created.
static void | OnLostDevice ()
| Called when the device has been lost.
static void | OnDestroyDevice ()
| Called when the device has been destroyed.
static void | OnCreateDevice (Device device)
| Called when the device has been created.
static void | OnLostDevice ()
| Called when the device has been lost.
static void | OnDestroyDevice ()
| Called when the device has been destroyed.
## Properties
float | Radius`[get, set]`
| Radius of this widget.
Vector3 | LightDirection`[get, set]`
| Light direction of this widget.
bool | IsBeingDragged`[get]`
| Is this widget being dragged.
MouseButtonMask | RotateButtonMask`[get, set]`
| Rotation button mask.

## Detailed Description

Widget for controlling direction.

Definition at line 2225 of file dxmutmisc.cs.

## Member Function Documentation

bool Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 2305 of file wdxmutmisc.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 2312 of file dxmutmisc.cs.

bool Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Handle messages from the window.

Definition at line 2312 of file dxmutmisc.cs.

Here is the call graph for this function:

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnCreateDevice | ( | Device | device | ) | `[static]`

Called when the device has been created.

Definition at line 2250 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnCreateDevice | ( | Device | device | ) | `[static]`

Called when the device has been created.

Definition at line 2257 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnCreateDevice | ( | Device | device | ) | `[static]`

Called when the device has been created.

Definition at line 2257 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnDestroyDevice | ( |  | ) | `[static]`

Called when the device has been destroyed.

Definition at line 2293 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnDestroyDevice | ( |  | ) | `[static]`

Called when the device has been destroyed.

Definition at line 2300 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnDestroyDevice | ( |  | ) | `[static]`

Called when the device has been destroyed.

Definition at line 2300 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnLostDevice | ( |  | ) | `[static]`

Called when the device has been lost.

Definition at line 2286 of file wdxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnLostDevice | ( |  | ) | `[static]`

Called when the device has been lost.

Definition at line 2293 of file dxmutmisc.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnLostDevice | ( |  | ) | `[static]`

Called when the device has been lost.

Definition at line 2293 of file dxmutmisc.cs.

unsafe void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnRender | ( | ColorValue | color,
|  | Matrix | view,
|  | Matrix | proj,
|  | Vector3 | eye |
| ) |  |  |

Render the light widget.

Definition at line 2391 of file wdxmutmisc.cs.

unsafe void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnRender | ( | ColorValue | color,
|  | Matrix | view,
|  | Matrix | proj,
|  | Vector3 | eye |
| ) |  |  |

Render the light widget.

Definition at line 2398 of file dxmutmisc.cs.

unsafe void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnRender | ( | ColorValue | color,
|  | Matrix | view,
|  | Matrix | proj,
|  | Vector3 | eye |
| ) |  |  |

Render the light widget.

Definition at line 2398 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnResetDevice | ( | SurfaceDescription | desc | ) |

Called when the device has been reset.

Definition at line 2280 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnResetDevice | ( | SurfaceDescription | desc | ) |

Called when the device has been reset.

Definition at line 2287 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DirectionWidget.OnResetDevice | ( | SurfaceDescription | desc | ) |

Called when the device has been reset.

Definition at line 2287 of file dxmutmisc.cs.

Here is the call graph for this function:

## Property Documentation

bool Microsoft::Samples::DirectX::UtilityToolkit.DirectionWidget::IsBeingDragged`[get]`

Is this widget being dragged.

Definition at line 2250 of file dxmutmisc.cs.

Vector3 Microsoft::Samples::DirectX::UtilityToolkit.DirectionWidget::LightDirection`[get, set]`

Light direction of this widget.

Definition at line 2248 of file dxmutmisc.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.DirectionWidget::Radius`[get, set]`

Radius of this widget.

Definition at line 2246 of file dxmutmisc.cs.

MouseButtonMask Microsoft::Samples::DirectX::UtilityToolkit.DirectionWidget::RotateButtonMask`[get, set]`

Rotation button mask.

Definition at line 2252 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs